<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Eddie: ThreadSafeMap&lt; Key, Value &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Eddie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classThreadSafeMap-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ThreadSafeMap&lt; Key, Value &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="common_8h_source.html">common.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab0c269236a926ad5af0201dc00bc30d6"><td class="memItemLeft" align="right" valign="top"><a id="ab0c269236a926ad5af0201dc00bc30d6"></a>
Value&#160;</td><td class="memItemRight" valign="bottom"><b>get</b> (Key const &amp;k)</td></tr>
<tr class="separator:ab0c269236a926ad5af0201dc00bc30d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed68b5ba2a6426283550933edb0ef444"><td class="memItemLeft" align="right" valign="top"><a id="aed68b5ba2a6426283550933edb0ef444"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>exists</b> (Key const &amp;k)</td></tr>
<tr class="separator:aed68b5ba2a6426283550933edb0ef444"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e0be5a81372e71e8857ae70cd0e00d0"><td class="memItemLeft" align="right" valign="top"><a id="a1e0be5a81372e71e8857ae70cd0e00d0"></a>
std::list&lt; Value &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>get_all</b> ()</td></tr>
<tr class="separator:a1e0be5a81372e71e8857ae70cd0e00d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a52afeec1b033070ee169fbe19387eb"><td class="memTemplParams" colspan="2"><a id="a4a52afeec1b033070ee169fbe19387eb"></a>
template&lt;class Value2 &gt; </td></tr>
<tr class="memitem:a4a52afeec1b033070ee169fbe19387eb"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>set</b> (Key const &amp;k, Value2 &amp;&amp;v)</td></tr>
<tr class="separator:a4a52afeec1b033070ee169fbe19387eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47b9a43c9144478d5e238dd09655be62"><td class="memItemLeft" align="right" valign="top"><a id="a47b9a43c9144478d5e238dd09655be62"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>erase</b> (Key const &amp;k)</td></tr>
<tr class="separator:a47b9a43c9144478d5e238dd09655be62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7318a5eda12787858562c8b4b1c77b65"><td class="memItemLeft" align="right" valign="top"><a id="a7318a5eda12787858562c8b4b1c77b65"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>delete_all</b> ()</td></tr>
<tr class="separator:a7318a5eda12787858562c8b4b1c77b65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71436fcf36867bc33ab145b5453b4013"><td class="memItemLeft" align="right" valign="top"><a id="a71436fcf36867bc33ab145b5453b4013"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>empty</b> ()</td></tr>
<tr class="separator:a71436fcf36867bc33ab145b5453b4013"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a74d67fc5d7d2951ed69b7b296945eaf3"><td class="memItemLeft" align="right" valign="top"><a id="a74d67fc5d7d2951ed69b7b296945eaf3"></a>
std::mutex&#160;</td><td class="memItemRight" valign="bottom"><b>m_</b></td></tr>
<tr class="separator:a74d67fc5d7d2951ed69b7b296945eaf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;class Key, class Value&gt;<br />
class ThreadSafeMap&lt; Key, Value &gt;</h3>

<p>Structure that holds responses received by the client. </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">Key</td><td>message_id of the response </td></tr>
    <tr><td class="paramname">Value</td><td>pointer to the response in memory </td></tr>
  </table>
  </dd>
</dl>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/builds/eclipse/oniro-core/eddie/linux/communication/include/<a class="el" href="common_8h_source.html">common.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
